Subject: bug#37926: [PATCH] Unify Gnus select methods

From: [email-masked]
Date: Sat, 02 Nov 2019 10:10:35 -0400

One, to reiterate, the patch at hand is a useability improvement, protecting new users from
the byzantine distinction of primary/secondary, and preserving the distinction
internally for backwards compatibility.  Some have argued keeping the internal
distinction makes the patch unworthy of the risk, to which I am sympathetic.

Two, with mild effort, I could fully eliminate the distinction without user
guidance or manually rewriting newsrcs.  Such a change exacerbates risk.